/*
 * @Author: 吴文洁
 * @Date: 2020-08-31 09:34:25
 * @LastEditors: wufan
 * @LastEditTime: 2020-12-01 10:36:59
 * @Description: 
 * @Copyright: 杭州杰竞科技有限公司 版权所有
 */

import Storage from './storage';
import { PREFIX } from '@/domains/basic-domain/constants';

class User {
  
  getStoreId(){
    return Storage.get(`${PREFIX}_storeId`)
  }

  getStoreUserId(){
    return Storage.get(`${PREFIX}_storeUserId`)
  }

  getUserId(){
    return Storage.get(`${PREFIX}_userId`)
  }

  getToken() {
    return Storage.get(`${PREFIX}_token`) || 'f24733242f634815a30184dfa5edf9b6';
  }
}

export default new User();